	private void ColumnInfoHeader()
	{
		Write("Container, ");
		Write("Name, ");
		Write("Alias, ");
		Write("AutoKeyIncrement, ");
		Write("AutoKeySeed, ");
		Write("CharacterMaxLength, ");
		Write("CharacterOctetLength, ");
		//Write("CharacterSetCatalog, ");
		//Write("CharacterSetSchema, ");
		Write("CompFlags, ");
		Write("DataType, ");
		Write("DataTypeName, ");
		Write("DataTypeNameComplete, ");
		Write("DateTimePrecision, ");
		Write("DbTargetType, ");
		Write("Default, ");
		Write("Description, ");
		//Write("Domain, ");
		//Write("DomainCatalog, ");
		//Write("DomainName, ");
		//Write("DomainSchema, ");
		Write("Flags, ");
		Write("ForeignKeys, ");
		//Write("GlobalProperties, ");
		//Write("Guid, ");
		Write("HasDefault, ");
		Write("HasDomain, ");
		Write("IsAutoKey, ");
		Write("IsComputed, ");
		Write("IsInForeignKey, ");
		Write("IsInPrimaryKey, ");
		Write("IsNullable, ");
		Write("LanguageType, ");
		Write("LCID, ");
		Write("NumericPrecision, ");
		Write("NumericScale, ");
		Write("Ordinal, ");
		//Write("Properties, ");
		Write("PropID, ");
		Write("SortID, ");
		Write("Table, ");
		//Write("TDSCollation, ");
		//Write("TypeGuid, ");
		//Write("UserDataXPath, ");
		Write("View\r\n");
	}
	private void ColumnProps(IColumn column)
	{
		WriteProp("",(column.Table==null?"view: " + column.View.Name:column.Table.Name),"");
		WriteProp(column.Name);
		WriteProp(column.Alias);
		WriteProp(column.AutoKeyIncrement);
		WriteProp(column.AutoKeySeed);
		WriteProp(column.CharacterMaxLength);
		WriteProp(column.CharacterOctetLength);
		//WriteProp(column.CharacterSetCatalog);
		//WriteProp(column.CharacterSetSchema);
		WriteProp(column.CompFlags);
		WriteProp(column.DataType);
		WriteProp(column.DataTypeName);
		WriteProp(column.DataTypeNameComplete);
		WriteProp(column.DateTimePrecision);
		WriteProp(column.DbTargetType);
		WriteProp(column.Default);
		WriteProp(column.Description);
		//WriteProp(column.Domain);
		//WriteProp(column.DomainCatalog);
		//WriteProp(column.DomainName);
		//WriteProp(column.DomainSchema);
		WriteProp(column.Flags);
		WriteProp(column.ForeignKeys.Count);
		//WriteProp(column.GlobalProperties);
		//WriteProp(column.Guid);
		WriteProp(column.HasDefault);
		WriteProp(column.HasDomain);
		WriteProp(column.IsAutoKey);
		WriteProp(column.IsComputed);
		WriteProp(column.IsInForeignKey);
		WriteProp(column.IsInPrimaryKey);
		WriteProp(column.IsNullable);
		WriteProp(column.LanguageType);
		WriteProp(column.LCID);
		WriteProp(column.NumericPrecision);
		WriteProp(column.NumericScale);
		WriteProp(column.Ordinal);
		//WriteProp(column.Properties);
		WriteProp(column.PropID);
		WriteProp(column.SortID);
		WriteProp(column.Table);
		//WriteProp(column.TDSCollation);
		//WriteProp(column.TypeGuid);
		//WriteProp(column.UserDataXPath);
		WriteProp("",column.View,"\r\n");
	}
	private void ColumnInfo(IColumn column)
	{
		WriteLine("\t\tContainer {0}",(column.Table==null?"view: " + column.View.Name:column.Table.Name));
		WriteLine("\t\tName {0}",column.Name);
		WriteLine("\t\tAlias {0}",column.Alias);
		WriteLine("\t\tAutoKeyIncrement {0}",column.AutoKeyIncrement);
		WriteLine("\t\tAutoKeySeed {0}",column.AutoKeySeed);
		WriteLine("\t\tCharacterMaxLength {0}",column.CharacterMaxLength);
		WriteLine("\t\tCharacterOctetLength {0}",column.CharacterOctetLength);
		//WriteLine("\t\tCharacterSetCatalog {0}",column.CharacterSetCatalog);
		//WriteLine("\t\tCharacterSetSchema {0}",column.CharacterSetSchema);
		WriteLine("\t\tCompFlags {0}",column.CompFlags);
		WriteLine("\t\tDataType {0}",column.DataType);
		WriteLine("\t\tDataTypeName {0}",column.DataTypeName);
		WriteLine("\t\tDataTypeNameComplete {0}",column.DataTypeNameComplete);
		WriteLine("\t\tDateTimePrecision {0}",column.DateTimePrecision);
		WriteLine("\t\tDbTargetType {0}",column.DbTargetType);
		WriteLine("\t\tDefault {0}",column.Default);
		WriteLine("\t\tDescription {0}",column.Description);
		//WriteLine("\t\tDomain {0}",column.Domain);
		//WriteLine("\t\tDomainCatalog {0}",column.DomainCatalog);
		//WriteLine("\t\tDomainName {0}",column.DomainName);
		//WriteLine("\t\tDomainSchema {0}",column.DomainSchema);
		WriteLine("\t\tFlags {0}",column.Flags);
		WriteLine("\t\tForeignKeys {0}",column.ForeignKeys);
		//WriteLine("\t\tGlobalProperties {0}",column.GlobalProperties);
		//WriteLine("\t\tGuid {0}",column.Guid);
		WriteLine("\t\tHasDefault {0}",column.HasDefault);
		WriteLine("\t\tHasDomain {0}",column.HasDomain);
		WriteLine("\t\tIsAutoKey {0}",column.IsAutoKey);
		WriteLine("\t\tIsComputed {0}",column.IsComputed);
		WriteLine("\t\tIsInForeignKey {0}",column.IsInForeignKey);
		WriteLine("\t\tIsInPrimaryKey {0}",column.IsInPrimaryKey);
		WriteLine("\t\tIsNullable {0}",column.IsNullable);
		WriteLine("\t\tLanguageType {0}",column.LanguageType);
		WriteLine("\t\tLCID {0}",column.LCID);
		WriteLine("\t\tNumericPrecision {0}",column.NumericPrecision);
		WriteLine("\t\tNumericScale {0}",column.NumericScale);
		WriteLine("\t\tOrdinal {0}",column.Ordinal);
		//WriteLine("\t\tProperties {0}",column.Properties);
		WriteLine("\t\tPropID {0}",column.PropID);
		WriteLine("\t\tSortID {0}",column.SortID);
		WriteLine("\t\tTable {0}",column.Table);
		//WriteLine("\t\tTDSCollation {0}",column.TDSCollation);
		//WriteLine("\t\tTypeGuid {0}",column.TypeGuid);
		//WriteLine("\t\tUserDataXPath {0}",column.UserDataXPath);
		WriteLine("\t\tView {0}",column.View);
	}
	private void ColumnFormatHeader()
	{
		Write("member,");
		Write("fmember,");
		Write("pmember,");
		Write("local,");
		Write("prop,");
		Write("memberprop,");
		Write("@,");
		Write("@new,");
		Write("ctype,");
		Write("rmember,");
		Write("rtype,");
//		Write("dbtype,");
		Write("name,");
		Write("class,");
		Write("fname,");
		Write("sqltype,");
		Write("?ref,");
		Write("?dbtype,");
		Write("?dbprefix,");
		Write("?dbsuffix,");
		Write("?dbsuff,");
		Write("default\r\n");
	}
	private void ColumnFormat(IColumn column)
	{
		Write(FormatColumn("\"{member}\",",column));
		Write(FormatColumn("\"{fmember}\",",column));
		Write(FormatColumn("\"{pmember}\",",column));
		Write(FormatColumn("\"{local}\",",column));
		Write(FormatColumn("\"{prop}\",",column));
		Write(FormatColumn("\"{memberprop}\",",column));
		Write(FormatColumn("\"{@}\",",column));
		Write(FormatColumn("\"{@new}\",",column));
		Write(FormatColumn("\"{ctype}\",",column));
		Write(FormatColumn("\"{rmember}\",",column));
		Write(FormatColumn("\"{rtype}\",",column));
//		Write(FormatColumn("\"{dbtype}\",",column));
		Write(FormatColumn("\"{name}\",",column));
		Write(FormatColumn("\"{class}\",",column));
		Write(FormatColumn("\"{fname}\",",column));
		Write(FormatColumn("\"{sqltype}\",",column));
		Write(FormatColumn("\"{?ref}\",",column));
		Write(FormatColumn("\"{?dbtype}\",",column));
		Write(FormatColumn("\"{?dbprefix}\",",column));
		Write(FormatColumn("\"{?dbsuffix}\",",column));
		Write(FormatColumn("\"{?dbsuff}\",",column));
		Write(FormatColumn("\"{default}\"\r\n",column));		
	}
private void ColumnFormatNew(IColumn column)
	{
		Write(FormatColumnNew("\"{member}\",",column));
		Write(FormatColumnNew("\"{fmember}\",",column));
		Write(FormatColumnNew("\"{pmember}\",",column));
		Write(FormatColumnNew("\"{local}\",",column));
		Write(FormatColumnNew("\"{prop}\",",column));
		Write(FormatColumnNew("\"{memberprop}\",",column));
		Write(FormatColumnNew("\"{@}\",",column));
		Write(FormatColumnNew("\"{@new}\",",column));
		Write(FormatColumnNew("\"{ctype}\",",column));
		Write(FormatColumnNew("\"{rmember}\",",column));
		Write(FormatColumnNew("\"{rtype}\",",column));
//		Write(FormatColumnNew("\"{dbtype}\",",column));
		Write(FormatColumnNew("\"{name}\",",column));
		Write(FormatColumnNew("\"{class}\",",column));
		Write(FormatColumnNew("\"{fname}\",",column));
		Write(FormatColumnNew("\"{sqltype}\",",column));
		Write(FormatColumnNew("\"{?ref}\",",column));
		Write(FormatColumnNew("\"{?dbtype}\",",column));
		Write(FormatColumnNew("\"{?dbprefix}\",",column));
		Write(FormatColumnNew("\"{?dbsuffix}\",",column));
		Write(FormatColumnNew("\"{?dbsuff}\",",column));
		Write(FormatColumnNew("\"{default}\"\r\n",column));		
	}